/*
 * Copyright 2006 Helsinki Institute for Information Technology
 *
 * This file is a part of Fuego middleware.  Fuego middleware is free
 * software; you can redistribute it and/or modify it under the terms
 * of the MIT license, included as the file MIT-LICENSE in the Fuego
 * middleware source distribution.  If you did not receive the MIT
 * license with the distribution, write to the Fuego Core project at
 * fuego-core-users@hoslab.cs.helsinki.fi.
 */

package fuegocore.notify.core.server.ui;

public interface RouterUI {
    /**
     * Requests routing table information from the router
     * @param s1 String
     * @param s2 String
     * @param params String
     * @return String
     */
    public String getUI(String s1, String s2, String params);
}
