/*
 * Copyright 2006 Helsinki Institute for Information Technology
 *
 * This file is a part of Fuego middleware.  Fuego middleware is free
 * software; you can redistribute it and/or modify it under the terms
 * of the MIT license, included as the file MIT-LICENSE in the Fuego
 * middleware source distribution.  If you did not receive the MIT
 * license with the distribution, write to the Fuego Core project at
 * fuego-core-users@hoslab.cs.helsinki.fi.
 */

package fuegocore.notify.sync.client;

/**
 * Callback interface for synced collection updates
 */
public interface ISyncCallback {
    /**
     * Called when collection has been updated.
     * @param object Object the collection
     */
    public void collectionChanged(Object object);
}
